Bug 4811 - suggestion.pl: display borrowers name in suggestion information filters (Suggested By, Managed by, Accepted by)
Summary: suggestion.pl: display borrowers name in suggestion information filters (Sugg...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) critical (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5580
  Show dependency treegraph
 
Reported: 2010-05-25 12:37 UTC by Alex Arnaud
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
suggestion.pl: display borrowers name in suggestion information filters (Suggested By, Managed by, Accepted by) (5.47 KB, patch)
2010-05-25 12:42 UTC, Alex Arnaud
Details | Diff | Splinter Review
New Patch (3.62 KB, patch)
2011-03-24 21:00 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Arnaud 2010-05-25 12:37:02 UTC
Actually, the name of borrowers in 'Suggested By', 'Managed by' and 'Accepted by' lists are not display.
Comment 1 Alex Arnaud 2010-05-25 12:42:45 UTC
Created attachment 2164 [details] [review]
suggestion.pl: display borrowers name in suggestion information filters (Suggested By, Managed by, Accepted by)
Comment 2 Galen Charlton 2010-06-25 00:52:27 UTC
Patch pushed.  Please test and close.
Comment 3 Ian Walls 2010-07-13 17:50:50 UTC
My tests (performed on 3.01.00.143 and latest HEAD):

Suggested By:  works functionally, but does not display the name (only has the borrowernumber in the option value)

Managed By:  works, both functionally and visually

Accepted By:  does not work either functionally or visually.  Only options are 'ANY', '' and '0'.
Comment 4 Chris Cormack 2010-12-13 01:28:11 UTC
This needs additional work before this bug can be closed
Comment 5 Chris Cormack 2011-03-24 21:00:06 UTC
Created attachment 3423 [details] [review]
New Patch
Comment 6 Nicole C. Engard 2011-03-25 00:34:51 UTC
After applying this patch the suggestions page was unviewable - instead I had this:




Software error:

Global symbol "$tmpstatus" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$tmpstatus" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$tmpstatus" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$reason" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$reason" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$reason" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$reason" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$tmpstatus" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$reason" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$reason" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$reason" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$reason" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestionid" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestionid" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestionid" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$delete_field" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$delete_field" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$criteria_list" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "@allsuggestions" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$reasonsloop" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$criteriumvalue" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$criteria_list" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$definedvalue" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$definedvalue" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$criteriumvalue" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$criteriumvalue" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$criteriumvalue" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestions" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestion" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestions" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestion" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestion" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestion" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$date" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestion" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$date" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestion" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$date" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestion" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$date" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestion" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$date" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestion" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$date" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "@allsuggestions" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$criteriumvalue" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$criteriumvalue" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestions" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$suggestions" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$reasonsloop" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 128.
Global symbol "$definedvalue" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 216.
Global symbol "@allsuggestions" requires explicit package name at /home/nengard/kohaclone/suggestion/suggestion.pl line 223.
Execution of /home/nengard/kohaclone/suggestion/suggestion.pl aborted due to compilation errors.

For help, please send mail to the webmaster (webmaster@debian), giving this error message and the time and date of the error.
Comment 7 Paul Poulain 2011-04-05 08:09:17 UTC
This feature is already here.
Something in the followup from Chris was fixed yesterday in 6046 :
+    if ( $displayby =~ /managedby/ || $displayby =~ /acceptedby/ || $displayby =~ /suggestedby/) {


Nicole: the follow-up from Chris is wrong, it contains many <<< and === and >>> (a git conflict, not solved)